﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Data.SqlServerCe;

namespace invoice_manager
{
    class Databaze
    {
        SqlCeConnection con;

        /// <summary>
        /// Metoda pro připojení k SQL datbázy
        /// <paramref name="conString" />
        /// </summary>
        /// <param name="conString">Conection String - řetezec s přihlašovacími údaji</param>
        public Databaze(string conString)
        {
            try
            {
                con = new SqlCeConnection(conString);
                con.Open();
                System.Console.WriteLine("Spojení navázáno.");
            }
            catch
            {
                System.Console.WriteLine("Chyba databáze!");
                System.Console.ReadKey();
                Environment.Exit(0);
            }
        }

        public string Vypis(string prikaz)
        {
            string polozka = "";
            using (SqlCeCommand com = new SqlCeCommand(prikaz, con))
            {
                SqlCeDataReader reader = com.ExecuteReader();
                while (reader.Read())
                {
                    polozka = reader.GetString(0);
                }
                return polozka;
            }
        }

        public void Operace(string prikaz)
        {
            SqlCeCommand command = new SqlCeCommand(prikaz, con);
            command.ExecuteNonQuery();
            //command.Connection.Close();
        }

        public void Close()
        {
            con.Close();
        }
    }
}
